/*
 * Copyright 2002 3plus4 software.
 * All Rights Reserved.
 */
package de.iiipiv.game;

/**
 * @version 	1.0
 * @author	sma@3plus4.de
 */
public class Coord {
    public final int x;
    public final int y;
    public Coord(int x, int y) {
        this.x = x;
        this.y = y;
    }
    public boolean equals(Object o) {
        Coord c;
        return o instanceof Coord && (c = (Coord) o).x == x && c.y == y;
    }
    public int hashCode() {
        return x ^ y;
    }
}